package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.ModuleAction;
import com.lightinit.hsdatashow.entity.ModuleActionExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ModuleActionMapper {
    long countByExample(ModuleActionExample example);

    int deleteByExample(ModuleActionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ModuleAction record);

    int insertSelective(ModuleAction record);

    List<ModuleAction> selectByExample(ModuleActionExample example);

    ModuleAction selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ModuleAction record, @Param("example") ModuleActionExample example);

    int updateByExample(@Param("record") ModuleAction record, @Param("example") ModuleActionExample example);

    int updateByPrimaryKeySelective(ModuleAction record);

    int updateByPrimaryKey(ModuleAction record);
}